Skip to main content
`Ctrl`+`K`

# KSPPIPEGCRSetMmax

set the maximum number of previous directions `KSPPIPEGCR` will store for orthogonalization

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRSetMmax(KSP ksp, PetscInt mmax)

Logically Collective

## Input Parameters

- ksp - the Krylov space context

- mmax - the maximum number of previous directions to orthogonalize against

## Options Database Key

- -ksp_pipegcr_mmax mmax - maximum number of previous directions

## Note

`mmax` + 1 directions are stored (`mmax` previous ones along with a current one) and whether all are used in each iteration also depends on the truncation strategy (see `KSPPIPEGCRSetTruncationType`)

## See Also

KSP: Linear System Solvers, `KSPPIPEGCR`, `KSPPIPEGCRSetTruncationType()`, `KSPPIPEGCRSetNprealloc()`

## Level

intermediate

## Location

src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages